KeyFactory
Date: 2016-06-24

java.security

## Class KeyFactory

- java.lang.Object
- - java.security.KeyFactory

-     public class KeyFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyFactory(KeyFactorySpi var0, Provider var1, String var2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrivateKey` | `generatePrivate(KeySpec var0)`
    `PublicKey` | `generatePublic(KeySpec var0)`
    `String` | `getAlgorithm()`
    `static KeyFactory` | `getInstance(String var0)`
    `static KeyFactory` | `getInstance(String var0, Provider var1)`
    `static KeyFactory` | `getInstance(String var0, String var1)`
    `KeySpec` | `getKeySpec(Key var0, Class var1)`
    `Provider` | `getProvider()`
    `Key` | `translateKey(Key var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyFactory

          protected KeyFactory(KeyFactorySpi var0,
                    Provider var1,
                    String var2)

  - ### Method Detail

    - #### generatePrivate

          public final PrivateKey generatePrivate(KeySpec var0)
                                           throws InvalidKeySpecException

      Throws:
        `InvalidKeySpecException`

    - #### generatePublic

          public final PublicKey generatePublic(KeySpec var0)
                                         throws InvalidKeySpecException

      Throws:
        `InvalidKeySpecException`

    - #### getAlgorithm

          public final String getAlgorithm()

    - #### getInstance

          public static KeyFactory getInstance(String var0)
                                        throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getInstance

          public static KeyFactory getInstance(String var0,
                               String var1)
                                        throws NoSuchAlgorithmException,
                                               NoSuchProviderException

      Throws:
        `NoSuchAlgorithmException`
        `NoSuchProviderException`

    - #### getInstance

          public static KeyFactory getInstance(String var0,
                               Provider var1)
                                        throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getKeySpec

          public final KeySpec getKeySpec(Key var0,
                           Class var1)
                                   throws InvalidKeySpecException

      Throws:
        `InvalidKeySpecException`

    - #### getProvider

          public final Provider getProvider()

    - #### translateKey

          public final Key translateKey(Key var0)
                                 throws InvalidKeyException

      Throws:
        `InvalidKeyException`